import request from '@/utils/request'

// 初始化项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
export function initPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=9=int'
    }
  })
}
// 主表查询
export function searchTable(check1, machineNumberValue, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间装配管理_工艺任务_查询数据',
      param: '机床流水号_check=' + check1 + '=int&机床流水号=' + machineNumberValue,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 任务分配
export function Preservation(ProcessSerialNumber, PersonnelNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间装配管理_装配工艺_任务分配',
      param: '工艺计划流水号=' + ProcessSerialNumber + '&人员编号=' + PersonnelNumber
    }
  })
}
